org.jacoco.core.runtime

## Interface IRuntime

All Superinterfaces:
  IExecutionDataAccessorGenerator

All Known Implementing Classes:
  AbstractRuntime, LoggerRuntime, ModifiedSystemClassRuntime, SystemPropertiesRuntime, URLStreamHandlerRuntime

    public interface IRuntime
    extends IExecutionDataAccessorGenerator

This interface represents a particular mechanism to collect execution information in the target VM at runtime.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `shutdown()` Allows the coverage runtime to cleanup internals.
`void` `startup(RuntimeData data)` Starts the coverage runtime.

### Methods inherited from interface org.jacoco.core.runtime.IExecutionDataAccessorGenerator

`generateDataAccessor`

### Method Detail

#### startup

    void startup(RuntimeData data)
          throws Exception

Starts the coverage runtime. This method MUST be called before any class instrumented for this runtime is loaded.

Parameters:
  `data` - the execution data for this runtime
Throws:
  `Exception` - any internal problem during startup

#### shutdown

    void shutdown()

Allows the coverage runtime to cleanup internals. This class should be called when classes instrumented for this runtime are not used any more.